Remove Materials
curl --request DELETE \
--url https://api-v2.production.higg.org/pic-api/v1/material-library/remove-material \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-developer-request-token: <api-key>' \
--data '
{
"ids": [
"<string>"
]
}
'import requests
url = "https://api-v2.production.higg.org/pic-api/v1/material-library/remove-material"
payload = { "ids": ["<string>"] }
headers = {
"x-api-key": "<api-key>",
"x-developer-request-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'x-api-key': '<api-key>',
'x-developer-request-token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({ids: ['<string>']})
};
fetch('https://api-v2.production.higg.org/pic-api/v1/material-library/remove-material', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"successIds": [
"<string>"
],
"failureIds": [
"<string>"
]
}Material Library
Delete Materials
DELETE
/
material-library
/
remove-material
Remove Materials
Use this endpoint to delete one or more custom materials from your PIC material library.
This action is destructive and cannot be undone. Products that reference deleted materials will no longer have valid material data.
Request body params
| Name | Type | Description |
|---|---|---|
ids | Array<string> | [REQUIRED] An array of one or more material IDs to delete. |
Implementation Details
- Bulk operation: You can delete multiple materials in a single request.
- Response format: Returns
{ successIds: string[], failureIds: string[] }indicating which deletions succeeded and which failed.
⌘I

